Pascom Client Linux: Modul \"Qt.labs.platform\" ist nicht installiert"

german
linux

#1

Hallo,

wir haben unsere Pascom hochgezogen auf die Version 18.04. Der Pascom Client ist dann auch problemlos gestartet. Er zeigte an, dass eine neuer Version zur Verfügung steht. Nach dem Neustart startet dieser jedoch nicht mehr.
Im Terminal kann ich folgende Aussgabe sehen:

[2019-02-07 13:18:14.363] [Info] [MdApplication] unknown:0 - installationid: "{ab476df9-cc7a-4576-8306-7a4d0845471d}"
[2019-02-07 13:18:14.382] [Info] [service.UILoader] unknown:0 - Loading component  "view/MainForm.qml"
[2019-02-07 13:18:14.395] [Critical] [service.UILoader] unknown:0 - Can't load component: "view/MainForm.qml"
[2019-02-07 13:18:14.395] [Critical] [service.UILoader] unknown:0 - "qrc:/view/MainForm.qml:724:5: Der Typ Dialog ist nicht verfügbar"
[2019-02-07 13:18:14.395] [Critical] [service.UILoader] unknown:0 - "qrc:/view/mdComponents/Dialog.qml:3:1: Modul \"Qt.labs.platform\" ist nicht installiert"

Das verwendete Betriebssystem ist Debian 9 mit XFCE. Ein Update & Upgrade habe ich durchgeführt.
Welches Modul muss denn nachinstalliert werden, damit der Pascom Client wieder startet?

Vielen Dank!


#2

Hallo @createc,

lt. deinem Log sollte es dies sein: qml-module-qt-labs-platform

Sollte beim Client nicht alles mitgeliefert werden?

Gruß,
Rapha


#3

Hallo,

danke für die schnelle Rückmeldung.
Das verlinkte Paket stammt aus Sid, also unstable. Dennoch habe ich es mal nachinstalliert. Die abhängigen Pakete wurden auch über Sid aktualisiert.

root@magneto:~# aptitude show qml-module-qt-labs-platform
Paket: qml-module-qt-labs-platform
Version: 5.11.3+dfsg-2
Neu: ja
Zustand: Installiert

Leider startet der Pascom-Client noch immer nicht. Die Ausgabe ist noch die gleiche, dass qt.labs.platform nicht installiert sei.


#4

Habe den pascom Client auf einem frisch installiertem Debian 9 ohne weitere Module starten können.

Ist es ein 64-bit Debian?


#5

Hallo,

der Client startet nun bei mir. Ich habe festgestellt, dass die ganzen Librarys im Ordner lib noch alt waren. Diese wurden durch das Update nicht aktualisiert. Durch die Neuinstallation vom Client, und damit auch der aktuellen libs, funktioniert es wieder.

Vielen Dank!


#6

Super :slight_smile: